

package com.nantian.sc.cloud.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.nantian.sc.cloud.admin.api.dto.MenuTree;
import com.nantian.sc.cloud.admin.api.entity.SysMenu;
import com.nantian.sc.cloud.admin.api.vo.MenuVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单权限表 Mapper 接口
 * </p>
 *
 *
 * @since 2017-10-29
 */
public interface SysMenuMapper extends BaseMapper<SysMenu> {

	/**
	 * 通过角色编号查询菜单
	 *
	 * @param roleId 角色ID
	 * @return
	 */
	List<MenuVO> listMenusByRoleId(Integer roleId);

	/**
	 * 通过角色ID查询权限
	 *
	 * @param roleIds Ids
	 * @return
	 */
	List<String> listPermissionsByRoleIds(String roleIds);

	/**
	 * 根据角色编码获取权限
	 */
	List<MenuTree> findMenuTreeByRoleId(Integer roleId);

	//新增
    boolean saveMenu(SysMenu sysMenu);

    //删除
	boolean deleteMenuById(Integer id);

	/**
	 * 根据角色集合获取去重后的权限
	 */
	List<MenuTree> findMenuTreeByRoles(@Param("roleIds") int[] roleIds);
}
